<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1AndroidGLSupport.html">AndroidGLSupport</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::AndroidGLSupport Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1AndroidGLSupport.html">Ogre::AndroidGLSupport</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AndroidGLSupport.html#ac1a6ce761760f308e4777b341fd06e44">addConfig</a>(void)</td><td><a class="el" href="classOgre_1_1AndroidGLSupport.html">Ogre::AndroidGLSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AndroidGLSupport.html#a6caff5349f3d24ac2eb99de0519c334b">AndroidGLSupport</a>()</td><td><a class="el" href="classOgre_1_1AndroidGLSupport.html">Ogre::AndroidGLSupport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2Support.html#a2e2d135ef1ba81fee239544f65ba2ad1">checkExtension</a>(const String &amp;ext) const </td><td><a class="el" href="classOgre_1_1GLES2Support.html">Ogre::GLES2Support</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AndroidGLSupport.html#a0054ca288f3c9258479ac28977bddf4f">createWindow</a>(bool autoCreateWindow, GLES2RenderSystem *renderSystem, const String &amp;windowTitle)</td><td><a class="el" href="classOgre_1_1AndroidGLSupport.html">Ogre::AndroidGLSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2Support.html#a21558f79fc4b83c4a87c470ca652be4e">extensionList</a></td><td><a class="el" href="classOgre_1_1GLES2Support.html">Ogre::GLES2Support</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2Support.html#adcf0c781fbbfc12de5546dcc8fb07325">getConfigOptions</a>(void)</td><td><a class="el" href="classOgre_1_1GLES2Support.html">Ogre::GLES2Support</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2Support.html#a31e3c69a77c8d6c4ca0de1de334d28fd">getDisplayMonitorCount</a>() const </td><td><a class="el" href="classOgre_1_1GLES2Support.html">Ogre::GLES2Support</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AndroidGLSupport.html#a1ea84451e226c8bd8c5424c8ff6706f9">getDisplayName</a>(void)</td><td><a class="el" href="classOgre_1_1AndroidGLSupport.html">Ogre::AndroidGLSupport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2Support.html#acf1a56586e7f452554433e4a982a915c">getGLVendor</a>(void) const </td><td><a class="el" href="classOgre_1_1GLES2Support.html">Ogre::GLES2Support</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2Support.html#a276c49b57cb60c3ae2aa4ca94524cd80">getGLVersion</a>(void) const </td><td><a class="el" href="classOgre_1_1GLES2Support.html">Ogre::GLES2Support</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AndroidGLSupport.html#ad3fad49f963ff50c17c1c10175d5f2f2">getProcAddress</a>(const Ogre::String &amp;name)</td><td><a class="el" href="classOgre_1_1AndroidGLSupport.html">Ogre::AndroidGLSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2Support.html#ae0833c742adcccc532729ff76176c44c">getShaderCachePath</a>(void) const </td><td><a class="el" href="classOgre_1_1GLES2Support.html">Ogre::GLES2Support</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2Support.html#a03aaf2bec1baf7d1a6687b49c4fdb591">getShaderLibraryPath</a>(void) const </td><td><a class="el" href="classOgre_1_1GLES2Support.html">Ogre::GLES2Support</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2Support.html#aeb24119b020395dc5180e5c93fd21cbf">GLES2Support</a>()</td><td><a class="el" href="classOgre_1_1GLES2Support.html">Ogre::GLES2Support</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2Support.html#a1b2f582872d8c79698d93e7aa02ba4c6">initialiseExtensions</a>()</td><td><a class="el" href="classOgre_1_1GLES2Support.html">Ogre::GLES2Support</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2Support.html#a18ab92cb7fbc22d891eb9495575dc168">mOptions</a></td><td><a class="el" href="classOgre_1_1GLES2Support.html">Ogre::GLES2Support</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AndroidGLSupport.html#a788ff5a897d444f5dbc2fff62ce31b0f">newWindow</a>(const String &amp;name, unsigned int width, unsigned int height, bool fullScreen, const NameValuePairList *miscParams=0)</td><td><a class="el" href="classOgre_1_1AndroidGLSupport.html">Ogre::AndroidGLSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AndroidGLSupport.html#aaee7b48bc3ce81420622cc4720756c60">refreshConfig</a>(void)</td><td><a class="el" href="classOgre_1_1AndroidGLSupport.html">Ogre::AndroidGLSupport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AndroidGLSupport.html#a3a0d92a39b11c74405b0a948c0fe27b5">setConfigOption</a>(const String &amp;name, const String &amp;value)</td><td><a class="el" href="classOgre_1_1AndroidGLSupport.html">Ogre::AndroidGLSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2Support.html#aa52a532cd85238d5227f23d4b3de35e4">setShaderCachePath</a>(String path)</td><td><a class="el" href="classOgre_1_1GLES2Support.html">Ogre::GLES2Support</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2Support.html#aee9a5957c98ac70592dc9ec82a862d68">setShaderLibraryPath</a>(String path)</td><td><a class="el" href="classOgre_1_1GLES2Support.html">Ogre::GLES2Support</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AndroidGLSupport.html#ae0cfc9eee766b960d98f10d9f6cbbbe3">start</a>(void)</td><td><a class="el" href="classOgre_1_1AndroidGLSupport.html">Ogre::AndroidGLSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AndroidGLSupport.html#a6f1fc1523eec9233d1cb6932d81d3cda">stop</a>(void)</td><td><a class="el" href="classOgre_1_1AndroidGLSupport.html">Ogre::AndroidGLSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AndroidGLSupport.html#a1939f641834d84393f6a91f4eca7f0cf">switchMode</a>(uint &amp;width, uint &amp;height, short &amp;frequency)</td><td><a class="el" href="classOgre_1_1AndroidGLSupport.html">Ogre::AndroidGLSupport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AndroidGLSupport.html#a342a348782f40216d043b9057ac50b80">validateConfig</a>(void)</td><td><a class="el" href="classOgre_1_1AndroidGLSupport.html">Ogre::AndroidGLSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AndroidGLSupport.html#a8ecc762542997e70c86757bf8a0630f3">~AndroidGLSupport</a>()</td><td><a class="el" href="classOgre_1_1AndroidGLSupport.html">Ogre::AndroidGLSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2Support.html#a462bd9434d945f2436cbe3f971d28050">~GLES2Support</a>()</td><td><a class="el" href="classOgre_1_1GLES2Support.html">Ogre::GLES2Support</a></td><td><code> [virtual]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:26
</p>
</body>
</html>
